XV_GET_VINFOS(3)

FUNCTION
xv_get_vinfos - Get supported visuals available on a screen.

SYNOPSIS
#include <karma_xv.h>

void xv_get_vinfos

(Screen *screen, XVisualInfo **pseudocolour, XVisualInfo **truecolour, XVisualInfo **directcolour)

DESCRIPTION
Get supported visuals available on a screen.

screen
    The X Window screen.

pseudocolour
    A PseudoColour XVisualInfo pointer will be written here. If this is NULL, nothing is written here. If no PseudoColour visual is supported, NULL is written here.

truecolour
    A TrueColour XVisualInfo pointer will be written here. If this is NULL, nothing is written here. If no TrueColour visual is supported, NULL is written here.

directcolour
    A DirectColour XVisualInfo pointer will be written here. If this is NULL, nothing is written here. If no DirectColour visual is supported, NULL is written here.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

NOTE
The XVisualInfo structures returned must be freed by XFree()

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/